Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util
Class Tokenizer

    java.lang.Object
      java.io.Reader
          java.io.FilterReader
              java.io.PushbackReader
                  com.bbn.openmap.util.Tokenizer

Direct Known Subclasses:
  CSVTokenizer

public class Tokenizer
extends java.io.PushbackReader

Tokenizer provides some tools useful for defining tokenizers. You get 1 character pushback.

Field Summary
`static java.lang.Object` | `EMPTY`
`static java.lang.Object` | `EOF`
`static java.lang.Object` | `NEWLINE`

Fields inherited from class java.io.FilterReader
`in`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`Tokenizer(java.io.Reader in)`

Method Summary
`java.lang.String` | `bclear()`
`void` | `bpush(int c)`
`java.lang.Object` | `error(java.lang.String s)`
`boolean` | `isAlpha(int c)`
`boolean` | `isAlphanumeric(int c)`
`boolean` | `isAny(int c)`
`boolean` | `isDigit(int c)`
`boolean` | `isEOF(java.lang.Object o)`
`boolean` | `isNewline(java.lang.Object o)`
`int` | `next()` Read the next character.
`void` | `putback(int c)`

Methods inherited from class java.io.PushbackReader
`close, mark, markSupported, read, read, ready, reset, skip, unread, unread, unread`

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NEWLINE

    public static final java.lang.Object NEWLINE

### EOF

    public static final java.lang.Object EOF

### EMPTY

    public static final java.lang.Object EMPTY

Constructor Detail

### Tokenizer

    public Tokenizer(java.io.Reader in)

Method Detail

### isNewline

    public boolean isNewline(java.lang.Object o)

### isEOF

    public boolean isEOF(java.lang.Object o)

### isAny

    public boolean isAny(int c)

### isAlpha

    public boolean isAlpha(int c)

### isDigit

    public boolean isDigit(int c)

### isAlphanumeric

    public boolean isAlphanumeric(int c)

### bpush

    public void bpush(int c)

### bclear

    public java.lang.String bclear()

### next

    public int next()

  Read the next character. Convert alternative line breaks to '\n'. Thank you Bill Gates!

### putback

    public void putback(int c)

### error

    public java.lang.Object error(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details